import type { Express } from "express";
import { requireAuth } from "../middleware/auth.middleware.js";

import getServers from "./serverData.route.js";
import getSettings from "./settings.route.js";
import updSetting from "./settingsUpdate.route.js";
import stats from "./stats.route.js";

export const setupSystemRoutes = (baseUrl: string, app: Express) => {
	//stats will be like this as we dont need to change this
	app.use(`${baseUrl}/api/stats`, stats);
	app.use(`${baseUrl}/api/settings`, getSettings);
	app.use(`${baseUrl}/api/servers`, getServers);
	app.use(`${baseUrl}/api/settings`, requireAuth, updSetting);

	// all other system should be under /api/system/*
};
